package com.shanghaichengdi.ghjgitem.exception;

/**
 * 解码错误异常
 */
public class AesDecodeException extends RuntimeException {

  private static final String ERROR_MESSAGE = "传入参数不符合规范要求";

  public AesDecodeException() {
    super();
  }

  public AesDecodeException(String errMessage) {
    super(errMessage);
  }

  public static void cast(String errMessage) {
    throw new AesDecodeException(errMessage);
  }

  public static void cast() {
    throw new AesDecodeException(ERROR_MESSAGE);
  }
}
